#include <stdio.h>
#include "pasteup.h"

/********************************************************************
Count sample number for the specified trace
********************************************************************/
int count_samples(struct record_header *dat, int i, int format)
{
    /********** Main **********/
    switch(format) {
	case SU_FORMAT:
	case SEGY_FORMAT:
	case SEGY1_FORMAT:
	case THK_FORMAT:
	case CHIBA_FORMAT:
	    return(dat[i].end_point);
	    break;
	case KASA_FORMAT:
	    return(dat[i].end_point - dat[i].start_point);
	    break;
	default:
	    fprintf(stderr, "Invalid data format in \"count_sample\"\n");
	    break;
    }
    /** default value **/
    return(0);
}
