#include <stdio.h>
#include "pasteup.h"

/********************************************************************
exchange dat[i] and dat[j] values.
--------------------------------------------------------------------
[arguments]
i     :  index of record header.
j     :  index of record header.
********************************************************************/
static void swap_rh(int i, int j)
{
    /********** Local Variables **********/
    struct record_header tmp;
    
    /******************** Main ********************/
    tmp       = gbl_rh[i];
    gbl_rh[i] = gbl_rh[j];
    gbl_rh[j] = tmp;
    return;
}

/*
  --------------------------------------------------------------------
*/

void sort_record_header(int n)
{
    /********** Local Variables **********/
    int i, j;
    
    /******************** Main ********************/
    
    for(i=0;i<n-1;i++){
	for(j=0;j<n-1-i;j++){
	    if(gbl_rh[j].x > gbl_rh[j+1].x){
		swap_rh(j, j+1);
	    }
	}
    }
}

