# --------------------------------------------------------------------
# Final process of start up for interactive mode
# --------------------------------------------------------------------
proc startup {} {
   # Global variables ------------------------------
   global gbl

   # Main ------------------------------
   customize
   update_paper_size
   
   # Console window
   pasteup_console
   
   # Record section window
   make_canvas_frame
   if ![check_parameter] {
      update_canvas_size
   } else {
      update_canvas_size_variables
   }
   update_data_type
   clear_zoom_stack
   
   # Keybinding
   binding
   customize_function_key
   
   # Automatic process
   automatic_process
   
   # clean old files
   clean_old_files
   
   # monitor change of variable(s)
   trace add variable gbl(ds,mode) write "trace_dsmode"
}
