/***** Exchange Endian *****/
#ifndef _SWAP_H
#define _SWAP_H 1

#define SWAP_ON  1
#define SWAP_OFF 0

/** Long int **/
#define SWAP_4I(a) a=(( ((a)<<24)) | (((a)<<8)&0x00ff0000) |\
  (((a)>>8)&0x0000ff00) | (((a)>>24)&0x000000ff) )

/** Short int **/
#define SWAP_SI(a) a=(((a)<<8)&0xff00)|(((a)>>8)&0x00ff)

#endif /* !_SWAP_H */
