#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#define MAX_LINE_LENGTH 10000

/********************************************************************
Open file for read
--------------------------------------------------------------------
filename   : filename
file_type  : description for the file
********************************************************************/
FILE *open_file(char *filename, char *file_type)
{
    /***** Local Variables *****/
    FILE *fp;
     
    /*************** Main ***************/
    if(NULL==(fp=fopen(filename,"r"))){
	fprintf(stderr, "Cannot open input %s file, %s.\n",
		file_type, filename);
	exit(1);
    }
    return(fp);
}
/********************************************************************
Open Output file
--------------------------------------------------------------------
filename   : Output filename
file_type  : description for the file
********************************************************************/
FILE *open_write_file(char *filename, char *file_type)
{
    /***** Local Variables *****/
    FILE *fp;
     
    /*************** Main ***************/
    if(NULL==(fp=fopen(filename,"w"))){
	fprintf(stderr, "Cannot open output %s file, %s.\n",
		file_type, filename);
	exit(1);
    }
    return(fp);
}
