# --------------------------------------------------------------------
# configuration for interpolate mode
# --------------------------------------------------------------------
proc interpolate_configure_window {} {
   # Global variables ----------
   global paste
   
   # Main ------------------------------
   set w .interpolation_cfg
   if [raise_window $w] { return } 
   toplevel $w
   wm title $w "PasteUp: Interpolation conf."
   
   # binding ------------------------------
   basic_bindings $w

   # title frame --------------------
   set tf [title_frame $w.title_frame "Pasteup: Trace interpolation"]
   set pf [frame $w.param_frame -padx 15 -pady 10 -relief groove -bd 2]
   make_entry_right $pf spacing "Max spacing for interpolation"\
       paste(interpolate,threshold) ""

   # Button frame --------------------
   set bf [button_frame $w $w.button_frame]
   
   # Packing --------------------
   pack $tf $pf $bf -side top -fill x
}
