# --------------------------------------------------------------------
# Exec line pick
# --------------------------------------------------------------------
proc exec_line_pick {x0 t0 x1 t1 RX RY} {
   # global --------------------
   global pick mark_modification pm gbl
   
   # main --------------------
   set old_n_pick [llength $pm]
   eval lappend pm [linepick $x0 $t0 $x1 $t1]

   if {$gbl(check,showpick)} {
      plot_pick_marks $old_n_pick
   } else {
      set gbl(check,showpick) 1
      plot_pick_marks 0
   }
   set mark_modification 1
   set pn [llength $pm]
   set n [expr $pn - $old_n_pick]
   print_message  [format "Pick %d traces, accuracy %f\n"\
		       $n $pick(default_accuracy)]
   show_position_balloon\
       [format "%d picks\naccuracy %.3fs" $n $pick(default_accuracy)]\
       $RX $RY
}
