proc stack_parameter {} {
   # global --------------------
   global gbl wk

   # main --------------------

   # create window --------------------
   set w .stack
   catch {destroy $w}
   toplevel $w
   wm title $w "PasteUp:Stack Configuration"
   set tf $w.title_frame
   set pf $w.parameter_frame
   set bf $w.button_frame
   
   # binding ------------------------------
   basic_bindings $w

   # Title frame --------------------
   title_frame $tf "Pasteup: Stack Configuration"

   # Paramter frame --------------------
   labelframe $pf -text "Stack parameters" -pady 10 -padx 10

   # Toggle Slant Stack
   make_optionMenu_com $pf mode Mode paste(stack,mode)\
       "update_stack_mode $pf $bf" hyperbola slant

   # Stacking range
   make_entry_right $pf range "Range" paste(stack,range) "Km"

   # Stacking velocity
   make_entry_right $pf velocity "Velocity" paste(stack,vel) "Km/sec"
   
   # Stacking Time
   make_entry_right $pf time "Intercept Time" paste(stack,time) "sec"

   # Button Frame --------------------
   button_frame $w $bf "Draw hyperbola" draw_hyperbola

   # packing --------------------
   pack $tf $pf $bf -side top -fill x
   update_stack_mode $pf $bf
}
